<script type="text/javascript"> 
    function submitForm() {
        document.getElementById("updateForm").submit();
    } 
</script>
<?php
$showfloat = false;

if ($this->noimage) {
    $display_image = false;
} else {
    $display_image = true;
}
if ($this->noedit) {
    $display_edit = false;
} else {
    $display_edit = true;
}

if (isset($this->step)) {
    $post = 'order/?step=1';
} else {
    $post = '';
} 
echo (isset($this->amount)) ? "<p font-size: 14px'>$this->amount</p>" : "";
if ($this->order->getShippingCount() > 1) {
    echo "<p style='color: whitesmoke; font-size: 14px'>Vaše objednávka bude rozdělena do ".$this->order->getShippingCount()." zásilek.</p>";            
} 
echo ($this->delivery_glass > 0) ? "<p style='color: whitesmoke; font-size: 14px'>skleněných předmětů: $this->delivery_glass ks (max. 12 ks skla na 1 zásilku)</p> " : "";
echo ($this->delivery_weight > 0) ? "<p style='color: whitesmoke; font-size: 14px'>přepokládaná váha: $this->delivery_weight kg</p>" : "";

if ($display_edit) { ?>
<form method='post' id='updateForm' action='/cart/<?= $post ?>'>    
<?php } ?>
<table class="cart-table">
    <thead>
        <tr>
            <?php if ($display_image) {?>
            <td>
                &nbsp;
            </td>
            <?php } ?>
            <td>
                ID
            </td>
            <td>
                Název produktu
            </td>
            <td colspan="2">
                Množství
            </td>
            <td class="r-align">
                Cena&nbsp;(ks)
            </td>
            <td class="r-align">
                Sazba DPH
            </td>
            <td class="r-align">
                Cena celkem
            </td>
            <td>
                &nbsp;
            </td>
    </tr>
    </thead>
    <tbody>
    <?php
    $count = 0;
    $totalprice = 0;
    foreach ($this->order->getCartProducts() as $product) {
        $count++;        
        ?>
        <tr>
            <?php 
            if ($display_image) { ?>
            <td>
                <div class="product-imageholder bg-green border-style">
                    <img src="<?= IMG_URL . $product->getImage(); ?>" class='product-image'>
                </div>
            </td>
            <?php } ?>
            <td>
                <?= $product->getProductId(); ?>
            </td>
            <td>
                <?= ($display_edit) ? "<a href='/" . $product->getAlias() . "'>" . $product->getTitle() . "</a>" : $product->getTitle() ?>
            </td>
            <td class='left' style='width: 30px;'>
                <?php if ($display_edit) { ?>
                <input type='text'   name='quantity-<?= $count ?>' value='<?= $product->getQuantity(); ?>' onchange='submitForm();' style='width: 92%; text-align: right; z-index: 2000'/>
                <input type='hidden' name='product_id-<?= $count ?>' value='<?= $product->getProductId(); ?>' />
                <?php } else { ?>
                <?= $product->getQuantity(); ?>
                <?php } $size = $product->getSize();?>
            </td>
            <td>                
                <?= (!empty($size)) ? "&nbsp;x&nbsp;".$product->getSize() : "" ?>
            </td>
            <td class="r-align">
                <?= $product->getPrice(); ?>,- kč
            </td>
            <td class="r-align">
                <?= $product->getVAT(); ?>%
            </td>
            <td class="r-align">
                <?= $product->getTotalPrice(); ?>,- kč
            </td>        
            <td style="width: 25px; text-align: right;">
                <?php if ($display_edit) {?>
                    <a href='/cart/empty/?product_id=<?= $product->getProductId(); ?>'>
                        <img src="/graphics/delete.png" alt="odstranit"/>
                    </a>
                <?php
                } else {
                    echo "&nbsp;";
                }
                ?>
            </td>            
        </tr>
        <?php 
        $totalprice += $product->getTotalPrice();
        }  
        if ($this->order->getPackingCount() > 0) {
            $totalprice += $this->order->getPackingTotal(); ?>
        <tr>
            <?php if ($display_image) {?>
            <td>
                <div class="product-imageholder bg-green border-style">
                    <img src="/graphics/shipping.jpg" class="product-image">
                </div>
            </td>
            <?php } ?>
            <td>
                &nbsp;
            </td>
            <td>
                Igelitová taška
            </td>
            <td class="l-align">
                <?= $this->order->getPackingCount() ?>
            </td>
            <td class="l-align">
            </td>
            <td class="r-align">
                <?= $this->order->getPackingPrice() ?>,- kč
            </td>
            <td class="r-align">
                <?= Model_DbTable_EshopVAT::getInstance()->getVAT1(); ?>%
            </td>
            <td class="r-align">
                <?= $this->order->getPackingTotal() ?>,- kč
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
        <?php 
        } 
        if ($this->order->getShippingTotal() > 0) {
            $totalprice += $this->order->getShippingTotal();
            ?>
        <tr>
            <?php if ($display_image) {?>
            <td>
                <div class="product-imageholder bg-green border-style">
                    <img src="/graphics/shipping.jpg" class='product-image' alt='doprava' />
                </div>
            </td>
            <?php } ?>
            <td>
                &nbsp;
            </td>
            <td>
                Doručení
            </td>
            <td>
                PPL
            </td>
            <td class="left">
                <?= $this->order->getShippingCount() . "&nbsp;x&nbsp;balíček" ?>
            </td>
            <td class="r-align">
                <?= $this->order->getShippingPrice(); ?>,- kč
            </td>
            <td class="r-align">
                <?= Model_DbTable_EshopVAT::getInstance()->getVAT1(); ?>%
            </td>
            <td class="r-align">
                <?= $this->order->getShippingTotal(); ?>,- kč
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
        <?php 
        } 
        if ($this->order->getPaymentTotal() > 0) {
            $totalprice += $this->order->getPaymentTotal();
            ?>
        <tr>
            <?php if ($display_image) {?>
            <td>
                <div class="product-imageholder bg-green border-style">
                    <img src="/graphics/<?= ($this->order->getPaymentId() == 1) ? "paypal.jpg" : "payment.jpg" ?>" class='product-image' alt='platba' />
                </div>
            </td>
            <?php } ?>
            <td>
                &nbsp;
            </td>
            <td>
                <?= ($this->order->getPaymentId() == 1) ? "Poplatek za převod" : "Dobírka" ?>
            </td>
            <td>
                <?= ($this->order->getPaymentId() == 1) ? "PayPal" : "PPL" ?>
            </td>
            <td class="left">
                <?= ($this->order->getPaymentId() == 1) ? "1" : $this->order->getPaymentCount() . "&nbsp;x&nbsp;balíček" ?>
            </td>
            <td class="r-align">
                <?= $this->order->getPaymentPrice() ?>,- kč
            </td>            
            <td class="r-align">
                <?= Model_DbTable_EshopVAT::getInstance()->getVAT1(); ?>%
            </td>
            <td class="r-align">
                <?= $this->order->getPaymentTotal() ?>,- kč
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
        <?php        
        }         
        ?>
        <tr style='border-top: 3px solid black; height: 40px;'>
            <?php if ($display_image) {?>
            <td>
                &nbsp;
            </td>
            <?php } ?>
            <td>
                &nbsp;
            </td>
            <td>
                Celkem
            </td>
            <td>
                &nbsp;
            </td>
            <td class="r-align">
                &nbsp;
            </td>
            <td class="r-align">
                &nbsp;
            </td>
            <td class="r-align">
                &nbsp;
            </td>
            <td class="r-align">
                <?= $totalprice ?>,- kč
            </td>
            <td>
                &nbsp;
            </td>
        </tr>
    </tbody>
</table>
<?php if ($showfloat) { ?>
    <p>* Takto označené zboží lze dávkovat na dvě desetinná čísla (např. 0,25 kg). Cena bude zaokrouhlena na celé koruny.</p>
<?php } ?>    
<?php if ($display_edit) { ?>
    <input type='hidden' name='update' value='<?= $count ?>' />
    <input type='submit' value='Přepočítat' class='nodisplay'/>
</form>
<?php } ?>

